Bug 20896 - Move serial enumeration to the right of callnumber on staff detail page
Summary: Move serial enumeration to the right of callnumber on staff detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-07 17:09 UTC by Joy Nelson
Modified: 2019-10-14 19:58 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20896: Move serial enumeration after callnumber on intranet detail page (5.41 KB, patch)
2018-08-08 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20896: Move serial enumeration after callnumber on intranet detail page (5.50 KB, patch)
2018-09-17 22:54 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20896: Move serial enumeration after callnumber on intranet detail page (5.55 KB, patch)
2018-09-27 15:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20896: Move serial enumeration after callnumber on intranet detail page (5.87 KB, patch)
2018-10-12 15:00 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2018-06-07 17:09:22 UTC
Serial Enumeration is typically read together with the item's callnumber.  In the staff side, serial enumeration is separated from the callnumber by status, last seen and barcode columns.  It would be best if it was directly to the right of the callnumber column.  The OPAC does show the callnumber and volume (enumeration) side by side.
Comment 1 Katrin Fischer 2018-06-18 22:03:02 UTC
+1
Comment 2 Jana Doyle 2018-07-10 13:41:31 UTC
Catalogers at Virginia Tech, especially those that work primarily with serials, are requesting this enhancement. Presently, their eyes must scan four columns to the right to find "the rest of" the call number.
Comment 3 Katrin Fischer 2018-08-08 22:02:45 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2018-09-17 22:54:32 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2018-09-27 15:47:56 UTC
Created attachment 79534 [details] [review]
Bug 20896: Move serial enumeration after callnumber on intranet detail page

The column with serial enumeration/chronology information is moved
from the back to the right of itemcallnumber on the intranet detail
page.

To test:
- Apply patch
- Look at different detail pages in staff:
  - 1 or more items have serial enumeration information
  - no item has serial enumeration informatoin
- Verify
  - itemcallnumber is now followed by serial information, if
    an item with the field filled in exists for the record
  - all other functionality, like sorting, works as expected

https://bugs.koha-community.org/show_bug.cgi?id=20896

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Martin Renvoize 2018-10-12 15:00:00 UTC
Created attachment 80515 [details] [review]
Bug 20896: Move serial enumeration after callnumber on intranet detail page

The column with serial enumeration/chronology information is moved
from the back to the right of itemcallnumber on the intranet detail
page.

To test:
- Apply patch
- Look at different detail pages in staff:
  - 1 or more items have serial enumeration information
  - no item has serial enumeration informatoin
- Verify
  - itemcallnumber is now followed by serial information, if
    an item with the field filled in exists for the record
  - all other functionality, like sorting, works as expected

https://bugs.koha-community.org/show_bug.cgi?id=20896

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2018-10-12 15:00:31 UTC
Makes sense, trivial patch, no regressions.

Passing QA
Comment 8 Nick Clemens 2018-10-27 14:27:09 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-11-08 15:23:27 UTC
Enhancement and would be an unexpected change for users.. will not be backported to 18.05.x series.